// linkplay.h

typedef struct packetheader_t {
	unsigned char	type;
	unsigned short	length;
} packetheader_t;

// This is the network protocol:

#define	PACKET_GAME_REQUEST			0x01
// Empty packet for asking for server status.

#define PACKET_GAME_SERVER			0x02
// Empty packet that says the sender is the server.

#define PACKET_ENTITY_SPAWN			0x03
// Packet FROM the SERVER which tells the client
// to spawn something.
//   4-byte int		entity index # to spawn.

#define PACKET_CLIENT_UPDATE		0x04
// Entity update FROM the CLIENT
//                  no index # req'd from client.
//	 netentity_t	struct follows.

#define PACKET_ENTITY_SERVER_UPDATE		0x05
// Entity update FROM the SERVER:
//   4-byte int 	entity index # to update.
//	 netentity_t	struct follows.

#define PACKET_END_FRAME			0x06
