#include <stdlib.h>
#include <stdio.h>
#include "title92.h"

int main(void) {
	FILE	*fout = fopen("title92scr.h", "w");
	int i, l, r;
	unsigned char light, dark;

	fprintf(fout, "static unsigned char titlescr_l[3840] = {");
	fprintf(fout, "\n\t\t");
	for (i=0;i<3840;i++) {
		l = (i << 3);
		light = 0;
		for (r = 0; r <= 7; r++) {
			light |= ((((unsigned char)0xFF - header_data_cmap[header_data[l + 7 - r]][0]) >> 6) & 1) << r;
		}
		fprintf(fout, "0x%02X", light);
		if (i != 3839) fprintf(fout, ", ");
		if ((i % 8) == 7) fprintf(fout, "\n\t\t");
	};
	fprintf(fout, "};\n\n");

	fprintf(fout, "static unsigned char titlescr_d[3840] = {");
	fprintf(fout, "\n\t\t");
	for (i=0;i<3840;i++) {
		l = (i << 3);
		dark = 0;
		for (r = 0; r <= 7; r++) {
			dark |= ((((unsigned char)0xFF - header_data_cmap[header_data[l + 7 - r]][0]) >> 7) & 1) << r;
		}
		fprintf(fout, "0x%02X", dark);
		if (i != 3839) fprintf(fout, ", ");
		if ((i % 8) == 7) fprintf(fout, "\n\t\t");
	};
	fprintf(fout, "};\n\n");

	fclose(fout);
};
